Bug 1563262 - concurrent registration occasionally fails with "host_id has already been taken" error
Summary: concurrent registration occasionally fails with "host_id has already been tak...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Registration
Version: 6.2.14
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: jcallaha
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-03 13:13 UTC by pm-sat@redhat.com
Modified: 2019-08-12 14:38 UTC (History)
7 users (show)

Fixed In Version: tfm-rubygem-katello-3.4.5.63-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1553845
Environment:
Last Closed: 2018-04-27 19:48:12 UTC
Target Upstream Version:


Attachments (Terms of Use)
script logs (476.58 KB, text/plain)
2018-04-04 13:30 UTC, jcallaha
no flags Details
client logs (7.42 MB, text/plain)
2018-04-04 13:30 UTC, jcallaha
no flags Details


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 22850 Normal Closed concurrent registration occasionally fails with "host_id has already been taken" error 2020-04-09 01:18:54 UTC

Comment 2 jcallaha 2018-04-04 13:30:06 UTC
Verified in Satellite 6.3.1 Snap 2.

I ran content-host-d's flood script to register 5000 new content hosts within 1h 25m. During the process, there were always 50 concurrent registrations. At no point did any of the hosts encounter the "host_id has already been taken" error.

The only two registrations that failed were due to this unrelated error:
"Unable to register system, not all services available"
Which is likely due to the Satellite struggling under the registration load.
The failed systems were bad1835 and bad3606.

I am attaching the logs for the script as well as all of the registered clients.

# python flood.py -s ibm-x3550m3-10.lab.eng.brq.redhat.com -t rhel72 -c 5000 -n bad --limit 50 --exit-criteria regis

project source: https://github.com/JacobCallahan/content-host-d

Comment 3 jcallaha 2018-04-04 13:30:34 UTC
Created attachment 1417261 [details]
script logs

Comment 4 jcallaha 2018-04-04 13:30:56 UTC
Created attachment 1417262 [details]
client logs

Comment 5 Bryan Kearney 2018-04-27 19:48:12 UTC
this was released in 6.3.1.


Note You need to log in before you can comment on or make changes to this bug.